Subject: bug#26070: closed (fixed)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Apr 2017 21:16:02 +0000

Your bug report

#26070: 26.0.50; js-mode slash insertion bug

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26070: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26070
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: fixed
From: Tom Tromey <[email-masked]>
To: [email-masked]
Date: Sat, 01 Apr 2017 15:15:28 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I've checked in the patch.

Tom

Subject: 26.0.50; js-mode slash insertion bug
From: Richard Copley <[email-masked]>
To: "[email-masked]" <[email-masked]>, [email-masked]
Date: Sun, 12 Mar 2017 10:23:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

After inserting a slash before other text in a js-mode buffer,
typing more characters has no effect, until you type C-g to quit.

Recipe to reproduce from 'emacs -Q':
M-x js-mode RET
x   ;; inserts "x"
C-b ;; backward char
/   ;; inserts "/"
x   ;; --- no effect! ---
C-g ;; quit

I couldn't see what code is running, because C-g doesn't enter the
debugger in this situation even when debug-on-quit is true, but I
bisected it to this commit:

commit 862d6438cfa6c6c035033697751f3d002357b024
Author: Tom Tromey <[email-masked]>
Date:   Sun Feb 5 11:40:18 2017 -0700

    Recognize JS regexp literals more correctly

In GNU Emacs 26.0.50 (build 6, x86_64-w64-mingw32)
 of 2017-03-12 built on MACHINE
Repository revision: 026c2cbf354fab138a65ad7093f17fbb23edb23c
Windowing system distributor 'Microsoft Corp.', version 10.0.14393
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --prefix=/mingw64 --with-modules
 --enable-locallisppath=/c/emacs/site-lisp 'CFLAGS=-O0 -g -ggdb''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS MODULES

Important settings:
  value of $LANG: ENG
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message puny seq byte-opt subr-x gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp disp-table
term/w32-win w32-win w32-vars term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote w32notify dbusbind w32 multi-tty make-network-process emacs)

Memory information:
((conses 16 99056 6862)
 (symbols 56 20091 1)
 (miscs 48 48 87)
 (strings 32 19084 4910)
 (string-bytes 1 584358)
 (vectors 16 14743)
 (vector-slots 8 478865 4018)
 (floats 8 54 62)
 (intervals 56 230 0)
 (buffers 976 11))